Quassel IRC - Bug #668

Shortcuts on Views focusing issue
04/11/2009 04:27 PM - sebas

Status: Assigned Start date: 04/11/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 20%
Category: Usability Estimated time: 0.00 hour
Target version:

Version: 0.4.0 0S: Linux
Description

The shortcuts on views only work sometime, not immediately after clicking on an item in the view. The item gets selected like I'd
expect it to, but the view doesn't get the focus. That's fine if | select a channel in the view and start typing expecting the input to end
up in my chat line. It makes the shortcuts on channels very clunky since | need to explicitly focus the view and the channel, and then
hit for example backspace. This makes this feature even less discoverable than it already is (I had to ask on IRC ...).

History

#1 - 08/05/2010 10:51 PM - Sputnick
- Status changed from New to Assigned
- Assignee set to Sputnick

- % Done changed from 0 to 20

We can't give the view proper focus, because then one needs to click again to type something in the input line. Doing this by way of input filters was
tried but had issues.

The proper solution (soonish) will be to make things like "hide current channel" a global application shortcut rather than a view feature.
#2 - 03/01/2012 11:00 AM - Anonymous

Considering 9f33f6e471dedbefe7bbe336a40312894628afel ("Add a shortcut for hiding current buffer"); what are other shortcuts that should be
changed? i only know of Delete acting like Backspace, but then hiding the channel permanently.
